library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity DIVIDE_BY_TWO is
	 port(
		 CLOCK_R : in STD_LOGIC;
		 CLEAR_L : IN STD_LOGIC;
		 DIVIDE_BY_TWO : BUFFER STD_LOGIC
	     );
end DIVIDE_BY_TWO;

architecture DIVIDE_BY_TWO of DIVIDE_BY_TWO is
begin
PROCESS (CLOCK_R,CLEAR_L)
BEGIN
	IF CLEAR_L = '0' THEN
		DIVIDE_BY_TWO <= '0';
	ELSIF RISING_EDGE(CLOCK_R) THEN
		DIVIDE_BY_TWO <= NOT DIVIDE_BY_TWO;
	END IF;
END PROCESS;
end DIVIDE_BY_TWO;
